document.write("<div style='width: 74px;height: 40px;position: absolute;overflow:visible;visibility:hidden;' id='tipEditorDiv' contenteditable='false'></div>")

var TYPE_IMG = 1;
var TYPE_Link = 2;
var TYPE_QUOTE = 3;
var TYPE_AUDIO = 4;
var TYPE_VIDEO = 5;
var TYPE_BOOK = 6;

var nodeTipObj = null;
var tipEditorDiv = null;

//显示气泡
function showtip(node) {
	try {
		tipEditorDiv = document.getElementById('tipEditorDiv');
		if (tipEditorDiv == null) {
			return;
		}
		//创建NodeObj
		getNodeObj(node);
		if (nodeTipObj == null) {
			return;
		}
		//获取tip html
		var tipInnerHTML = tipInnerHTML = getTipInnerHtml();
		if (tipInnerHTML == "") {
			return;
		}
		tipEditorDiv.innerHTML = tipInnerHTML;
		tipEditorDiv.style.width = nodeTipObj.width;
		var additionWidth = 0;
		var curNode = $('#' + nodeTipObj.tagID + '');
		if (nodeTipObj.nodeType == TYPE_AUDIO ||
		    nodeTipObj.nodeType == TYPE_BOOK) {
			var curNodeId = nodeTipObj.tagID;
			if (curNodeId != null) {
				curNodeId = curNodeId.replace("_div", "");
			}
			if ($('#' + curNodeId + '') != null) {
				curNode = $('#' + curNodeId + '');
			}
		}
		showPopupBubble($('#tipEditorDiv'), curNode);
	} catch(e) {}
}

//隐藏气泡
function hidetip()
{
    if(tipEditorDiv != null)
    {
        tipEditorDiv.style.innerHTML = ""
        tipEditorDiv.style.visibility = "hidden";
    }
}

//根据标签id 创建节点对象
function getNodeObj(node) {
	try {
	    ZSSEditor.deleteEditStyle();
		var tagID = node.id;
		var nodeName = $('#' + tagID + '').attr("name");
		if (nodeName == ZSSEditor.imgNodeName) {
			//nodeTipObj = new NodeTip(TYPE_IMG, '删除', '编辑图片', tagID, '145px');
		} else if (nodeName == ZSSEditor.linkNodeName) {
			nodeTipObj = new NodeTip(TYPE_Link, '删除链接', '修改链接', tagID, '145px');
		} else if (nodeName == ZSSEditor.blockquoteNodeName) {
			nodeTipObj = new NodeTip(TYPE_QUOTE, '删除引用', '修改引用', tagID, '145px');
		} else if (nodeName == ZSSEditor.iframeAudioNodeName|| nodeName == ZSSEditor.iframeAudioDivNodeName) {
			nodeTipObj = new NodeTip(TYPE_AUDIO, '删除音乐', '修改音乐', tagID, '74px');
		} else if (nodeName == ZSSEditor.iframeVideoNodeName || nodeName == ZSSEditor.iframeVideoDivNodeName) {
			nodeTipObj = new NodeTip(TYPE_VIDEO, '删除视频', '修改视频屏', tagID, ' ');
		} else if (nodeName == ZSSEditor.iframeBookNodeName || nodeName == ZSSEditor.iframeBookDivNodeName) {
         	nodeTipObj = new NodeTip(TYPE_BOOK, '删除', '', tagID, '74px');

        }
	} catch(e) {
}
}

//根据nodetype获取tip的html
function getTipInnerHtml(){
    var divStr = "" ;
    try
    {
        switch (nodeTipObj.nodeType)
        {
            case TYPE_IMG:
                divStr = '<div class="tipSubject" style="width:145px;"><span  class="tipButtonLeft"  onclick="modifyNode()">'+nodeTipObj.modifyText+'</span><span class="tipLine"></span><span class="tipButtonRight" onclick="deleteNode()">'+nodeTipObj.deleteText+'</span><div class="tipArrowDouble"></div></div>';
                break;
            case TYPE_AUDIO:
            case TYPE_VIDEO:
            case TYPE_BOOK:
                divStr = '<div class="tipSubject" style="width:74px;" onclick="deleteNode()">'+nodeTipObj.deleteText+'<div class="tipArrowSingle" ></div></div>';
                break;
            case TYPE_Link:
            case TYPE_QUOTE:
                divStr = '<div class="tipSubject" style="width:145px;"><span  class="tipButtonLeft"  onclick="modifyNode()">'+nodeTipObj.modifyText+'</span><span class="tipLine"></span><span class="tipButtonRight" onclick="deleteNode()">'+nodeTipObj.deleteText+'</span><div class="tipArrowDouble"></div></div>';
                break;
            default:break;
        }
    }
    catch(e)
    {
        divStr = "";
    }
    return divStr;
}

//计算气泡显示位置
function showPopupBubble(objPopupBubble,objElement)
{
    try
    {
        var popupBubbleWidth,popupBubbleHeight,popupBubbleLeft,popupBubbleTop;//弹出气泡的宽度、高度、居左、居顶
        var targetElementWidth,targetElementHeight,targetElementLeft,targetElementTop;//参照元素的宽度、高度、居左、居顶
        popupBubbleHeight=objPopupBubble.height();//获取气泡的高度
        popupBubbleWidth=objPopupBubble.width();//获取气泡的宽度
        targetElementWidth=objElement.width();//获取参照元素的宽度
        targetElementTop=objElement.offset().top;//获取参照元素的距顶高度
        targetElementLeft=objElement.offset().left;//获取参照元素的距左距离
        popupBubbleTop=targetElementTop-popupBubbleHeight;//计算弹出气泡的距顶距离
        popupBubbleLeft=(targetElementWidth-popupBubbleWidth)/2+targetElementLeft;//计算弹出气泡的距左距离
        objPopupBubble.offset({top:popupBubbleTop,left:popupBubbleLeft});//设置弹出气泡的top、left
        //设置气泡显示
        tipEditorDiv.style.visibility = "visible";
    }
    catch(e)
    {
    }
}

//点击删除
function deleteNode() {
	try {
		hidetip();
		if (nodeTipObj.nodeType == TYPE_VIDEO ||
		    nodeTipObj.nodeType == TYPE_AUDIO ||
		    nodeTipObj.nodeType == TYPE_BOOK) {
		    if(nodeTipObj.nodeType == 4){
                ZSSEditor.callback("callback-event-tracking","code=74-13");
		    }else if(nodeTipObj.nodeType == 6){
                ZSSEditor.callback("callback-event-tracking","code=74-14");
            };
			var iframeID = nodeTipObj.tagID;
			if (iframeID != null) {
				iframeID = iframeID.replace("_div", "");
			}
			if ($('#' + iframeID + '') != null) {
				$('#' + iframeID + '').remove();
			}
			$('#' + nodeTipObj.tagID + '').remove();
		} else {
			$('#' + nodeTipObj.tagID + '').remove();
		}
	} catch(e) {

}
}

//点击修改
function modifyNode() {
    hidetip();
    switch(nodeTipObj.nodeType) {
        case TYPE_Link:
            ZSSEditor.modifyLink(nodeTipObj.tagID);
            break;
        case TYPE_QUOTE:
            ZSSEditor.modifyBlockquote(nodeTipObj.tagID);
            break;
        case TYPE_IMG:
         ZSSEditor.modifyImage(nodeTipObj.tagID);
            break
        default:break;
    }
}


//node对象
function NodeTip(nodeType,deleteText,modifyText,tagID,width){
    this.nodeType = nodeType;
    this.deleteText = deleteText;
    this.modifyText = modifyText;
    this.tagID = tagID;
    this.width = width;
}
